# SPDX-FileCopyrightText: 2023 Siemens AG
# SPDX-License-Identifier: Apache-2.0

apiVersion: k3d.io/v1alpha3
kind: Simple
name: mycluster
servers: 1 # number of control plane nodes
agents: 2 # number of worker nodes
kubeAPI:
  # host: "127.0.0.1" # server setting in kubeconfig
  hostIP: "127.0.0.1" # k8s API listening IP ("0.0.0.0" => all interfaces) 
  hostPort: "6445" # k8s API listening port
ports:
  - port: 8080:80 # same as --port 8080:80@loadbalancer
    
# image: rancher/k3s:v1.26.15+k3s1
# network: k3d-custom-network
subnet: "10.100.0.0/16"
options:
  k3d: # k3d runtime settings
    wait: true
    timeout: "60s"
    # disableLoadbalancer: true
    # disableImageVolume: true
    # disableRollback: false 
  k3s: # options passed on to k3s itself
    extraArgs:
      - arg: --node-name="k3d-controlplane"
        nodeFilters:
          - server:0
      - arg: --node-name="c1"
        nodeFilters:
          - agent:0
      - arg: --node-name="c2"
        nodeFilters:
          - agent:1
    nodeLabels:
      - label: "siemens.com.qosscheduler.master=true"
        nodeFilters:
          - server:0
      - label: "mac-address=5e0d.6660.a485"
        nodeFilters:
          - agent:0
      - label: "siemens.com.qosscheduler.c1=true"
        nodeFilters:
          - agent:0
      - label: "mac-address=da69.022b.c8fc"
        nodeFilters:
          - agent:1
      - label: "siemens.com.qosscheduler.c2=true"
        nodeFilters:
          - agent:1
  kubeconfig:
    updateDefaultKubeconfig: true
    switchCurrentContext: true
